#ifdef GL_ES
#define LOW lowp
#define MED mediump
#define HIGH highp
precision mediump float;
#else
#define MED
#define LOW
#define HIGH
#endif

uniform sampler2D u_texture;
uniform MED float greyScaleMix;

varying MED vec2 v_texCoords;
varying MED vec4 v_color;

void main()
{
  MED vec4 c = v_color * texture2D(u_texture, v_texCoords);
  MED float grey = dot(c.rgb,vec3(0.299, 0.587, 0.114));
  MED vec4 gv = vec4(grey,grey,grey,c.a);
  gl_FragColor = c*(1.0-greyScaleMix) + gv*greyScaleMix;
}

